# dkim_sig_gettagvalue()

[back to index]

SYNOPSIS

    #include <dkim.h>
    unsigned char *dkim_sig_gettagvalue(
    	DKIM_SIGINFO *sig,
            _Bool keytag,
            char *tag
    );

Retrieve the raw value of a signature or key tag.

DESCRIPTION

Called When | `dkim_sig_gettagvalue()` is called after `dkim_eoh()` when `dkim` is a verifying handle, i.e. one returned by an earlier call to `dkim_verify()`.

ARGUMENTS

Argument | Description
--- | ---
sig | Signature-specific handle, returned by `dkim_getsiglist`. May not be NULL.
keytag | If TRUE, indicates that the tag of interest can be found in the key record associated with the signature. If FALSE, the tag of interest is expected to be within the signature itself.
tag | A pointer to a string containing the name of the tag of interest. May not be NULL.

NOTES

- The data thus returned has not necessarily been processed for validity or safety. Exercise caution.
- This interface was added to support the collection of statistics about DKIM use, and is not intended for general use by applications.

Copyright (c) 2005, 2007, 2008 Sendmail, Inc. and its suppliers. All rights reserved.
Copyright (c) 2010, The Trusted Domain Project. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the respective licenses.